package com.cweb.controller;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.hfkj.channel.saas.SaasActivityService;
import com.hfkj.common.exception.ErrorCode;
import com.hfkj.common.exception.ErrorHelp;
import com.hfkj.common.exception.SysCode;
import com.hfkj.common.security.UserCenter;
import com.hfkj.common.utils.ResponseMsgUtil;
import com.hfkj.entity.BsAudit;
import com.hfkj.entity.BsBankActivity;
import com.hfkj.model.ResponseData;
import com.hfkj.model.UserInfoModel;
import com.hfkj.service.BsAuditService;
import com.hfkj.service.BsBankActivityService;
import com.hfkj.sysenum.AuditStatusEnum;
import com.hfkj.sysenum.SecUserTypeEnum;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Controller
@Api(value = "银行权益活动")
@RequestMapping(value = "/bankActivity")
public class BsBankActivityController {

    private static Logger log = LoggerFactory.getLogger(BsBankActivityController.class);

    @Resource
    private UserCenter userCenter;
    @Resource
    private BsAuditService auditService;

    @Resource
    private SaasActivityService saasActivityService;

    @Resource
    private BsBankActivityService bankActivityService;

    @RequestMapping(value="/refreshActivityList",method = RequestMethod.POST)
    @ResponseBody
    @ApiOperation(value = "获取活动列表")
    public ResponseData refreshActivityList() {
        try {

            JSONArray jsonArray = saasActivityService.queryAgentActivityList();
            for (Object obj : jsonArray) {
               JSONObject activity = (JSONObject) obj;

                BsBankActivity bankActivity = bankActivityService.getBankActivityByNo(activity.getLong("activityId"));
                if (bankActivity == null) {
                    bankActivity = new BsBankActivity();
                }
                bankActivity.setRegions(activity.getString("regions"));
                bankActivity.setActivityNo(activity.getLong("activityId"));
                bankActivity.setActivityName(activity.getString("activityName"));
                bankActivity.setEffectiveStart(activity.getDate("effectiveStart"));
                bankActivity.setEffectiveEnd(activity.getDate("effectiveEnd"));
                bankActivity.setRegistrationStart(activity.getDate("registrationStart"));
                bankActivity.setRegistrationEnd(activity.getDate("registrationEnd"));
                bankActivity.setDetails(activity.getString("details"));
                bankActivity.setComments(activity.getString("comments"));
                bankActivityService.editData(bankActivity);
            }
            return ResponseMsgUtil.success(null);

        } catch (Exception e) {
            log.error(e.getMessage(), e);
            return ResponseMsgUtil.exception(e);
        }
    }


    @RequestMapping(value="/queryActivityList",method = RequestMethod.POST)
    @ResponseBody
    @ApiOperation(value = "获取活动列表")
    public ResponseData queryActivityList(@RequestParam(value = "merId" , required = true) Long merId) {
        try {

            JSONArray activityList = saasActivityService.queryAgentActivityList();
            for (Object obj : activityList) {

            }
            return ResponseMsgUtil.success(activityList);

        } catch (Exception e) {
            log.error(e.getMessage(), e);
            return ResponseMsgUtil.exception(e);
        }
    }

}
